Subject: bug#14774: 24.3.50; Warnings from gnutls under Fedora 19

From: Ted Zlatanov <[email-masked]>
Date: Tue, 09 Jul 2013 09:50:01 -0400

On Wed, 03 Jul 2013 00:17:36 +0200 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> When doing gnutls connections under Fedora 19 with the current bzr
LI> Emacs, I get the following warning:

LI> gnutls.c: [1] Note that the security level of the Diffie-Hellman key exchange has been lowered to 256 bits and this may allow decryption of the session data

LI> And that's what `gnutls-min-prime-bits' is defined as.

LI> However, the gnutls-log-level is defined as 0, so we shouldn't get these
LI> warnings.

Aha, I found the problem.  I'm setting the global log function, but not
the global "audit log" function which is issuing these.  That function
was added in GnuTLS 2.99, after I worked on the GnuTLS integration for
Emacs.

I was planning on requiring GnuTLS 3.x anyhow, so perhaps this can be
implemented with that rework instead of as a standalone change?

Ted